## lxqt-policykit 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-policykit-agent)

include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

find_package(PkgConfig)
pkg_check_modules(POLKIT_AGENT REQUIRED polkit-agent-1)
message(STATUS "polkit agent: ${POLKIT_AGENT_INCLUDE_DIRS} ${POLKIT_AGENT_LIBRARIES}")

set(POLKIT_AGENT_BINARY_DIR "${CMAKE_INSTALL_BINDIR}" CACHE FILEPATH "Directory for install polkit agent")

# Minumum Versions
set(LXQT_MINIMUM_VERSION "1.4.0")
set(QT_MINIMUM_VERSION "5.15.0")

find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
find_package(PolkitQt5-1 REQUIRED)
message(STATUS "Building with Qt${Qt5Core_VERSION}")

# Patch Version
set(LXQT_POLKITAGENT_PATCH_VERSION 0)

set(LXQT_POLKITAGENT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_POLKITAGENT_PATCH_VERSION})
add_definitions(
    "-DLXQT_POLKITAGENT_VERSION=\"${LXQT_POLKITAGENT_VERSION}\""
)

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

# Deal with a bug in polkit-qt5
if (NOT IS_ABSOLUTE "${POLKITQT-1_INCLUDE_DIR}")
    set(POLKITQT-1_INCLUDE_DIR "${POLKITQT-1_INSTALL_DIR}/${POLKITQT-1_INCLUDE_DIR}")
    set(POLKITQT-1_AGENT_LIBRARY "${POLKITQT-1_INSTALL_DIR}/${POLKITQT-1_AGENT_LIBRARY}")
    set(POLKITQT-1_CORE_LIBRARY "${POLKITQT-1_INSTALL_DIR}/${POLKITQT-1_CORE_LIBRARY}")
endif()
message(STATUS "PolkitQt-1: ${POLKITQT-1_VERSION_STRING}")
message(STATUS "   install: ${POLKITQT-1_INSTALL_DIR}")
message(STATUS "      libs: ${POLKITQT-1_CORE_LIBRARY} ${POLKITQT-1_AGENT_LIBRARY}")
message(STATUS "   include: ${POLKITQT-1_INCLUDE_DIR}")

# TODO/FIXME: pkg-config for hardcoded paths
# pkg-config --cflags glib-2.0
# pkg-config --cflags polkit-agent-1
include_directories(
    ${POLKIT_AGENT_INCLUDE_DIRS}
    "${POLKITQT-1_INCLUDE_DIR}"
)

set(lxqt-policykit-agent_SRCS
    src/main.cpp
    src/policykitagent.cpp
    src/policykitagentgui.cpp
)

set(lxqt-policykit-agent_H
    src/policykitagent.h
    src/policykitagentgui.h
)

set(lxqt-policykit-agent_UI
    src/policykitagentgui.ui
)

# Translations **********************************
include(LXQtTranslate)

lxqt_translate_ts(lxqt-policykit-agent_QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-policykit-agent_H}
        ${lxqt-policykit-agent_SRCS}
        ${lxqt-policykit-agent_UI}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
#************************************************

add_executable(lxqt-policykit-agent
    ${lxqt-policykit-agent_SRCS}
    ${lxqt-policykit-agent_MOCS}
    ${lxqt-policykit-agent_QM_FILES}
    ${QM_LOADER}
)

target_link_libraries(lxqt-policykit-agent
    Qt5::Widgets
    lxqt
    ${POLKITQT-1_CORE_LIBRARY}
    ${POLKITQT-1_AGENT_LIBRARY}
    ${POLKIT_AGENT_LDFLAGS}
)

# install
install(TARGETS
    lxqt-policykit-agent
    DESTINATION "${POLKIT_AGENT_BINARY_DIR}"
    COMPONENT Runtime
)
install(FILES
    man/lxqt-policykit-agent.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

add_subdirectory(autostart)

=== debian/changelog ===
lxqt-policykit (1.4.0-2) unstable; urgency=medium

  * debian/control: build-deps on qttools5-dev. (Closes:#1078299)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

 -- Macy Lin <macy@debconf.org>  Sun, 08 Sep 2024 18:39:05 +0800

lxqt-policykit (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * debian/control: build-deps on liblxqt1-dev (>= 1.4.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 10 Dec 2023 09:19:01 +0100

lxqt-policykit (1.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream version 1.3.0
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/control: bump build-deps on liblxqt1-dev (>= 1.3.0~).
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/copyright: update.
  * debian/rules: Suppress blhc error.

  [ Andrew Lee (李健秋) ]
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.
  * debian/copyright: update.
  * debian/salsa-ci.yml: allow blhc failure instead of hardcoded blhc
    ignore line.
  * debian/control: update team address.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 26 Aug 2023 06:34:05 +0200

lxqt-policykit (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1.
  * Bump compat to 13.
    * Remove unnecessary -Wl,--as-needed in d/rules.
    * Remove unnecessary --fail-missing in d/rules.
  * Add Rules-Requires-Root: no.
  * Update d/watch for GitHub.
  * Fix d/upstream/metadata.
  * Add ChangZhuo Chen (陳昌倬) to d/copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 16 Dec 2022 17:56:59 +0800

lxqt-policykit (1.1.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Nov 2022 16:09:14 +0800

=== debian/control ===
Source: lxqt-policykit
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.4.0~),
               libpolkit-agent-1-dev,
               libpolkit-qt5-1-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               qttools5-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-policykit
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-policykit.git
Homepage: https://github.com/lxqt/lxqt-policykit
Rules-Requires-Root: no

Package: lxqt-policykit
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lxqt-session
Recommends: lxqt-policykit-l10n
Suggests: lxqt | lxqt-core
Provides: polkit-1-auth-agent
Description: LXQt authentication agent for PolicyKit
 The lxqt-policykit D-Bus session bus service that is used to
 bring up authentication dialogs used for obtaining privileges.
 .
 This package contains the LXQt policy kit authentication agent.

Package: lxqt-policykit-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Description: Language package for lxqt-policykit
 This package contains the l10n files needed by the lxqt-policykit.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## lxqt-policykit 2.0.0

=== debian/changelog ===
lxqt-policykit (2.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Adjust build dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:42:26 -0500

lxqt-policykit (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Bump Standards-version to 4.6.2, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 12 Nov 2023 18:54:45 -0600

=== debian/control ===
Source: lxqt-policykit
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev,
               liblxqt2-dev (>= 2.0.0),
               libpolkit-agent-1-dev,
               libpolkit-qt6-1-dev,
               libx11-dev,
               qt6-svg-dev
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-policykit-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-policykit-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-policykit
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-policykit.git
Rules-Requires-Root: no
Homepage: https://github.com/lxqt/lxqt-policykit

Package: lxqt-policykit
Architecture: any
Depends: lxqt-session, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-policykit-l10n
Suggests: lxqt | lxqt-core
Provides: polkit-1-auth-agent
Description: LXQt authentication agent for PolicyKit
 The lxqt-policykit D-Bus session bus service that is used to
 bring up authentication dialogs used for obtaining privileges.
 .
 This package contains the LXQt policy kit authentication agent.

Package: lxqt-policykit-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-policykit
 The l10n files for lxqt-policykit
 .
 This package contains the l10n files needed by lxqt-policykit.

## lxqt-policykit 2.1.0

=== debian/changelog ===
lxqt-policykit (2.1.0-1) unstable; urgency=medium

  [ Macy Lin ]
  * New upstream version 2.1.0
  * build-deps on liblxqt-dev (>= 2.1.0~).

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 06 Dec 2024 19:38:41 +0100

lxqt-policykit (2.0.0-1) unstable; urgency=medium

  * Migrate to unstable.
  * Run wrap-and-sort.
  * Team upload to unstable.

 -- Macy Lin <macy@debconf.org>  Mon, 02 Dec 2024 22:28:27 +0100

lxqt-policykit (2.0.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 2.0.0
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev
  * debian/control: bump dep on libqt5svg5-dev -> qt6-svg-dev
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: bump dep on liblxqt1-dev -> liblxqt-dev
  * debian/control: bump dep on libpolkit-qt5-1-dev -> libpolkit-qt6-1-dev

  [ Andrew Lee (李健秋) ]
  * debian/rules: suppress blhc error by added ignore-line-regexp.
  * debian/salsa-ci.yml: drop blhc tests error workaround.
  * debian/salsa-ci.yml: build against to experimental.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 21 Sep 2024 17:09:05 +0200

=== debian/control ===
Source: lxqt-policykit
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev,
               liblxqt-dev (>= 2.1.0~),
               libpolkit-agent-1-dev,
               libpolkit-qt6-1-dev,
               libx11-dev,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-policykit
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-policykit.git
Homepage: https://github.com/lxqt/lxqt-policykit
Rules-Requires-Root: no

Package: lxqt-policykit
Architecture: any
Depends: lxqt-session, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-policykit-l10n
Suggests: lxqt | lxqt-core
Provides: polkit-1-auth-agent
Description: LXQt authentication agent for PolicyKit
 The lxqt-policykit D-Bus session bus service that is used to
 bring up authentication dialogs used for obtaining privileges.
 .
 This package contains the LXQt policy kit authentication agent.

Package: lxqt-policykit-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-policykit
 This package contains the l10n files needed by the lxqt-policykit.

## lxqt-policykit 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -22,13 +22,13 @@
 set(POLKIT_AGENT_BINARY_DIR "${CMAKE_INSTALL_BINDIR}" CACHE FILEPATH "Directory for install polkit agent")
 
 # Minumum Versions
-set(LXQT_MINIMUM_VERSION "1.4.0")
-set(QT_MINIMUM_VERSION "5.15.0")
+set(LXQT_MINIMUM_VERSION "2.2.0")
+set(QT_MINIMUM_VERSION "6.6.0")
 
-find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6  ${QT_MINIMUM_VERSION} COMPONENTS REQUIRED LinguistTools)
+find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
-find_package(PolkitQt5-1 REQUIRED)
+find_package(PolkitQt6-1 REQUIRED)
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 # Patch Version
@@ -42,12 +42,6 @@
 include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
-# Deal with a bug in polkit-qt5
-if (NOT IS_ABSOLUTE "${POLKITQT-1_INCLUDE_DIR}")
-    set(POLKITQT-1_INCLUDE_DIR "${POLKITQT-1_INSTALL_DIR}/${POLKITQT-1_INCLUDE_DIR}")
-    set(POLKITQT-1_AGENT_LIBRARY "${POLKITQT-1_INSTALL_DIR}/${POLKITQT-1_AGENT_LIBRARY}")
-    set(POLKITQT-1_CORE_LIBRARY "${POLKITQT-1_INSTALL_DIR}/${POLKITQT-1_CORE_LIBRARY}")
-endif()
 message(STATUS "PolkitQt-1: ${POLKITQT-1_VERSION_STRING}")
 message(STATUS "   install: ${POLKITQT-1_INSTALL_DIR}")
 message(STATUS "      libs: ${POLKITQT-1_CORE_LIBRARY} ${POLKITQT-1_AGENT_LIBRARY}")
@@ -101,7 +95,7 @@
 )
 
 target_link_libraries(lxqt-policykit-agent
-    Qt5::Widgets
+    Qt6::Widgets
     lxqt
     ${POLKITQT-1_CORE_LIBRARY}
     ${POLKITQT-1_AGENT_LIBRARY}

=== debian/changelog ===
lxqt-policykit (2.2.0-0ubuntu1) questing; urgency=medium

  * New upstream release.
    - Update build dependencies.
  * Update copyright file.
  * Update Standards-Version to 4.7.2, no changes needed.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 31 Jul 2025 16:25:55 -0500

lxqt-policykit (2.1.0-0ubuntu3) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 16:51:00 -0600

lxqt-policykit (2.1.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for lxqt-build-tools C++17 -> C++20.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Jan 2025 03:57:59 -0600

lxqt-policykit (2.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:32:55 -0600

=== debian/control ===
Source: lxqt-policykit
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev,
               liblxqt2-dev (>= 2.2.0),
               libpolkit-agent-1-dev,
               libpolkit-qt6-1-dev,
               libx11-dev,
               qt6-svg-dev (>= 6.6.0)
Standards-Version: 4.7.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-policykit-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-policykit-packaging.git
Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-policykit
Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-policykit.git
Rules-Requires-Root: no
Homepage: https://github.com/lxqt/lxqt-policykit

Package: lxqt-policykit
Architecture: any
Depends: lxqt-session, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-policykit-l10n
Suggests: lxqt | lxqt-core
Provides: polkit-1-auth-agent
Description: LXQt authentication agent for PolicyKit
 The lxqt-policykit D-Bus session bus service that is used to
 bring up authentication dialogs used for obtaining privileges.
 .
 This package contains the LXQt policy kit authentication agent.

Package: lxqt-policykit-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-policykit
 The l10n files for lxqt-policykit
 .
 This package contains the l10n files needed by lxqt-policykit.

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,11 @@
 %:
 	dh ${@} --buildsystem cmake
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DUPDATE_TRANSLATIONS=OFF \
+		-DPULL_TRANSLATIONS=OFF\
+		-DUPDATE_TRANSLATIONS=OFF\
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
-

## lxqt-policykit 2.3.0

=== debian/changelog ===
lxqt-policykit (2.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5

  [ Andrew Lee (李健秋) ]
  * Drop useless file.
  * debian/control: Drop Rules-Requires-Root: no (now the default).

  [ Macy Lin ]
  * New upstream version 2.3.0
  * debian/copyright: update.
  * debian/control: build-deps on lxqt-build-tools (>= 2.3.0~).
  * debian/control: build-deps on liblxqt-dev (>= 2.3.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 24 Nov 2025 05:30:22 +0100

lxqt-policykit (2.2.0-1) unstable; urgency=medium

  * Team upload to unstable.
  * New upstream version 2.2.0. (Closes: #1097337)
  * debian/copyright: update.
  * debian/control: build-deps on liblxqt-dev (>= 2.2.0~).
  * debian/control: build-deps on lxqt-build-tools (>= 2.2.0~).
  * debian/control: bump to Standards-version to 4.7.2.

 -- Macy Lin <macy@debconf.org>  Wed, 13 Aug 2025 20:30:39 +0200

=== debian/control ===
Source: lxqt-policykit
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev,
               liblxqt-dev (>= 2.3.0~),
               libpolkit-agent-1-dev,
               libpolkit-qt6-1-dev,
               libx11-dev,
               lxqt-build-tools (>= 2.3.0~),
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-policykit
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-policykit.git
Homepage: https://github.com/lxqt/lxqt-policykit

Package: lxqt-policykit
Architecture: any
Depends: lxqt-session, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-policykit-l10n
Suggests: lxqt | lxqt-core
Provides: polkit-1-auth-agent
Description: LXQt authentication agent for PolicyKit
 The lxqt-policykit D-Bus session bus service that is used to
 bring up authentication dialogs used for obtaining privileges.
 .
 This package contains the LXQt policy kit authentication agent.

Package: lxqt-policykit-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-policykit
 This package contains the l10n files needed by the lxqt-policykit.
